Skip to main content
POST
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
/
spend
Create campaign spend item
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/spend \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "name": "<string>",
  "order": 123,
  "description": "<string>"
}
'
{
  "amount": 123,
  "createdAt": 123,
  "id": "<string>",
  "name": "<string>",
  "order": 123,
  "updatedAt": 123,
  "description": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignGuid
string
required

Body

application/json
amount
number
required

The monetary value of the spend item.

name
string
required

The name of the spend item.

order
integer<int32>
required

The sequence number indicating the order of the spend item.

description
string

A brief description of the spend item.

Response

successful operation

amount
number
required

The monetary value associated with the spend item.

createdAt
integer<int64>
required

The timestamp indicating when the spend item was created.

id
string
required

Unique identifier for the spend item.

name
string
required

The name assigned to the spend item.

order
integer<int32>
required

The sequence order of the spend item, where 0 is the oldest.

updatedAt
integer<int64>
required

The timestamp indicating when the spend item was last updated.

description
string

A detailed explanation or notes about the spend item.

Last modified on March 30, 2026